## 组件简介

|  字段值  | 说明                       | 字段属性 | 默认值 |
| ------- | ------------------------- | ------- | ----- |
| `type`  | 类型：`String`; 说明：组件类型名 | 自定义字段 | `select-form` |
| `label` | 类型：`String`; 说明：组件左侧显示名称 | element-ui el-form-item对应字段 | `''` |
| `label-width` | 类型：`String`; 说明：组件左侧显示名称宽度（加单位），父级设置可以子级继承 | element-ui el-form-item对应字段 | `''` |
| `required` | 类型：`Boolean`; 说明：标识是否必填 | element-ui el-form-item对应字段 | `false` |
| `disabled` | 类型：`Boolean`; 说明：标识是否只读 | element-ui el-form-item对应字段 | `false` |
| `model` | 类型：`String`; 说明：表单提交name值和回显对照字段 | 自定义字段 | `''` |
| `model-width` | 类型：`String`; 说明：右侧输入组件宽度（加单位） | 自定义字段 | `'100%'` |
| `placeholder` | 类型：`String`; 说明：组件input框中，默认提示文字 | element-ui el-input对应字段 | `''` |
| `values` | 类型：`Array`; 说明：里面是选择类型值label和value(值可以是 int 或 str) | 自定义字段 | `[]` |
| `attrs` | 类型：`Object`; 说明：定义标签上Data属性值 | element-ui对应字段 | `{}` |
| `rules` | 类型：`Array`; 说明：组件错误提示规则 | element-ui el-form-item对应字段 | `[]` |

### Demo Example:
``` js
return {
  type: 'select-form',
  label: '证件类型',
  labelWidth: '160px',
  required: true,
  disabled: false,
  model: 'id_type',
  modelWidth: '',
  placeholder: '请选择证件类型',
  values: [
    { label: '居民身份证', value: 0 },
    { label: '港澳台身份证', value: 1 },
    { label: '护照号', value: 2 },
    { label: '军官证', value: 3 },
    { label: '其他', value: 9 }
  ],
  attrs: {},
  rules: []
}
```

* 其他属性 [参考文档]([https://](https://element.eleme.cn/#/zh-CN/component/input))
