## 组件简介

|  字段值  | 说明                       | 字段属性 | 默认值 |
| ------- | ------------------------- | ------- | ----- |
| `type`  | 类型：`String`; 说明：组件类型名 | 自定义字段 | `textarea-form` |
| `label` | 类型：`String`; 说明：组件左侧显示名称 | element-ui el-form-item对应字段 | `''` |
| `label-width` | 类型：`String`; 说明：组件左侧显示名称宽度（加单位），父级设置可以子级继承 | element-ui el-form-item对应字段 | `''` |
| `required` | 类型：`Boolean`; 说明：标识是否必填 | element-ui el-form-item对应字段 | `false` |
| `disabled` | 类型：`Boolean`; 说明：标识是否只读 | element-ui el-form-item对应字段 | `false` |
| `model` | 类型：`String`; 说明：表单提交name值和回显对照字段 | 自定义字段 | `''` |
| `model-width` | 类型：`String`; 说明：右侧输入组件宽度（加单位） | 自定义字段 | `'100%'` |
| `placeholder` | 类型：`String`; 说明：组件input框中，默认提示文字 | element-ui el-input对应字段 | `''` |
| `attrs` | 类型：`Object`; 说明：定义标签上Data属性值 | element-ui对应字段 | `{}` |
| `rules` | 类型：`Array`; 说明：组件错误提示规则 | element-ui el-form-item对应字段 | `[]` |

### Demo:
``` js
return {
  type: 'textarea-form',
  label: '工作描述',
  required: true,
  disabled: false,
  labelWidth: '160px',
  model: 'work_info',
  modelWidth: '',
  placeholder: '请详细描述您的职责范围，工作任务以及取得的成绩等，填写文字在100个字以上评定等级，少于不计算，内容越详细，等级越高。（字限3000字以内）',
  attrs: {
    rows: '8',
    maxlength: '1000',
    'show-word-limit': true
  },
  rules: [
    {
      required: true,
      message: '请输入内容',
      trigger: 'blur'
    },
    {
      min: 60,
      max: 1000,
      message: '长度在 60 到 1000 个字符',
      trigger: 'blur'
    }
  ]
}
```

* 其他属性 [参考文档]([https://](https://element.eleme.cn/#/zh-CN/component/input))
